-- these variables changes the rate to heal
local rate = 0.005

dofile( "data/scripts/lib/utilities.lua" )
dofile( "data/scripts/magic/symbol_oneoff_spells.lua" )

g_ingest_materials =
{
	["water"] = 
	{
		func = function( entity_id, count )
			edit_component( entity_id, "DamageModelComponent", function(comp,vars)
				vars.hp = ComponentGetValueFloat( comp, "hp" ) + count * rate * .1
			end)
		end,
	},

	["meat"] = 
	{
		func = function( entity_id, count )
			edit_component( entity_id, "DamageModelComponent", function(comp,vars)
				vars.hp = ComponentGetValueFloat( comp, "hp" ) + count * rate * .5
			end)
		end,
	},

	["grass"] = 
	{
		func = function( entity_id, count )
			edit_component( entity_id, "DamageModelComponent", function(comp,vars)
				vars.hp = ComponentGetValueFloat( comp, "hp" ) + count * rate * 3
			end)
		end,
	},

	["plant_material"] = 
	{
		func = function( entity_id, count )
			edit_component( entity_id, "DamageModelComponent", function(comp,vars)
				vars.hp = ComponentGetValueFloat( comp, "hp" ) + count * rate * 50
			end)
		end,
	},

	["plant_material_red"] = 
	{
		func = function( entity_id, count )
			edit_component( entity_id, "DamageModelComponent", function(comp,vars)
				vars.hp = ComponentGetValueFloat( comp, "hp" ) + count * rate * 10
			end)
		end,
	},
}

function inhaled_material( material, count )
	-- print( material, count )
end

function ingested_material( material, count )
	if( g_ingest_materials[material] == nil ) then
		return
	end

	-- print( "material: " .. material )
	local entity_id = GetUpdatedEntityID()
	local m = g_ingest_materials[material]

	if( m.func ~= nil ) then m.func( entity_id, count ) end

end
